﻿using IceCreamShopDataModels.Models;

namespace IceCreamShopContracts.BindingModels
{
    public class IceCreamBindingModel : IIceCreamModel
    {
        public int Id { get; set; }

        public string IceCreamName { get; set; } = string.Empty;

        public double Price { get; set; }

        public Dictionary<int, (IComponentModel, int)> IceCreamComponents
        {
            get;
            set;
        } = new();
    }
}