﻿namespace IceCreamShopDataModels.Models
{
    public interface IShopModel : IId
    {
        string ShopName { get; }

        string Address { get; }

        DateTime DateOpening { get; }

        Dictionary<int, (IIceCreamModel, int)> ShopIceCreams { get; }

        int IceCreamsMaximum { get; }
    }
}
